<?php
namespace Claromentis\Blog\AbsoluteUrl;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] ?: array()) + array("_95a58f0bfdaaa9a6ee1bef" . "aa909a62e5" => base64_decode("YWRtaW4ubGFicy5hYnNvbHV0ZV" . "91cmwuYmxvZw=="), "_c7b86566f5835e34c8ef0cf3b36b604" . "6" => base64_decode("L2" . "Js" . "b2" . "cv"));
use Claromentis\Admin\Sysadmin\AbsoluteUrl\AbstractAbsoluteUrl;
use Claromentis\Core\DAL\QueryBuilder;
abstract class AbstractBlogAbsoluteUrl extends AbstractAbsoluteUrl
{
    
    
    
    
    public function getName() : string
    {
        return ($this->lmsg)($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_95a58f0bfdaaa9a6ee1befaa909a6" . "2e5"]);
    }
    
    
    
    
    public function getLink($_0ea4e32b57963ac0cb3057e03e9aef64) : string
    {
        return $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_c7b86566f5835e34c8ef0cf" . "3b36b6046"] . $_0ea4e32b57963ac0cb3057e03e9aef64;
    }
    
    
    
    
    public abstract function getType() : string;
    
    
    
    
    public abstract function getQueryBuilder() : QueryBuilder;
}